Name:          certbot
Version:       1.15.0
Release:       1mamba
Summary:       A fully-featured, extensible client for the Let's Encrypt CA
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://letsencrypt.org
## GITSOURCE https://github.com/letsencrypt/letsencrypt.git v0.1.0
Source:        https://github.com/certbot/certbot.git/v%{version}/certbot-%{version}.tar.bz2
#Source:        https://github.com/letsencrypt/letsencrypt.git/v%{version}/letsencrypt-%{version}.tar.bz2
Patch0:        python-letsencrypt-0.1.0-use-configargparse.patch
Patch1:        letsencrypt-0.1.1-acme-0.1.1.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(acme)
BuildRequires: python3.7dist(configargparse)
BuildRequires: python3.7dist(configobj)
BuildRequires: python3.7dist(cryptography)
BuildRequires: python3.7dist(distro)
BuildRequires: python3.7dist(josepy)
BuildRequires: python3.7dist(parsedatetime)
BuildRequires: python3.7dist(pyrfc3339)
BuildRequires: python3.7dist(pytz)
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(zope.component)
BuildRequires: python3.7dist(zope.interface)
## AUTOBUILDREQ-END
Requires:      python3 >= %python3_version
Requires:      python-acme-py3 == %{version}
#Requires:      python-argparse
Requires:      python-augeas-py3
Requires:      python-configobj-py3
Requires:      python-cryptography-py3
Requires:      python-configargparse-py3
Requires:      python-distro-py3
#Requires:      python-funcsigs >= 1.0
Requires:      python-josepy-py3
Requires:      python-mock-py3
Requires:      python-parsedatetime-py3
Requires:      python-pyrfc3339-py3
#Requires:      python-pythondialog
Requires:      python-psutil-py3
Requires:      python-requests-py3
Requires:      python-setuptools-py3
Requires:      python-six-py3
Requires:      python-tz-py3
Requires:      python-zope-component-py3
Requires:      python-zope-interface-py3
Requires:      python-pyrfc3339-py3
Requires:      python-parsedatetime-py3
Requires:      python-mock-py3
Requires:      python-josepy-py3
Requires:      python-configobj-py3
Requires:      python-configargparse-py3
Provides:      letsencrypt
Obsoletes:     letsencrypt

%description
The Let's Encrypt Client is a fully-featured, extensible client for the Let's Encrypt CA (or any other CA that speaks the ACME protocol) that can automate the tasks of obtaining certificates and configuring webservers to use them.

%package apache
Group:         System/Libraries
Summary:       Apache plugin for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      apache

%description apache
The Let's Encrypt Client is a fully-featured, extensible client for the Let's Encrypt CA (or any other CA that speaks the ACME protocol) that can automate the tasks of obtaining certificates and configuring webservers to use them.
This package provides the apache plugin.

%package postfix
Group:         System/Libraries
Summary:       Postfix plugin for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      postfix

%description postfix
The Let's Encrypt Client is a fully-featured, extensible client for the Let's Encrypt CA (or any other CA that speaks the ACME protocol) that can automate the tasks of obtaining certificates and configuring webservers to use them.
This package provides the postfix plugin.

%prep
%setup -q
#% patch0 -p1
#%patch1 -p1

%build
cd certbot
CFLAGS="%{optflags}" %{__python3} setup.py build
cd ..

for d in apache; do
cd certbot-$d
CFLAGS="%{optflags}" %{__python3} setup.py build
cd ..
done

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd certbot
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist
cd ..

for d in apache; do
cd certbot-$d
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist
cd ..
done

#sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

install -d -m0755 %{buildroot}%{_sysconfdir}/letsencrypt
install -d -m0755 %{buildroot}%{_localstatedir}/log/letsencrypt

install -d -m0755 %{buildroot}%{_sysconfdir}/cron.weekly
cat > %{buildroot}%{_sysconfdir}/cron.weekly/certbot << _EOF
#!/bin/bash
certbot renew
systemctl reload httpd
_EOF

%posttrans
for v in 1.3.0 1.4.0 1.5.0 1.6.0; do
   [ -e %{python3_sitearch}/certbot-${v}-py*.egg-info ] && \
      rmdir %{python3_sitearch}/certbot-${v}-py*.egg-info
done
:

%files -f certbot/%{name}.filelist
%defattr(-,root,root)
%dir %{_sysconfdir}/letsencrypt
%attr(0755,root,root) %{_sysconfdir}/cron.weekly/certbot
%dir %{_localstatedir}/log/letsencrypt
%dir %{python3_sitearch}/certbot-%{version}-py*.egg-info

%files apache -f certbot-apache/%{name}.filelist
%defattr(-,root,root)

#%files postfix -f certbot-postfix/%{name}.filelist
#%defattr(-,root,root)

%changelog
* Wed May 05 2021 Automatic Build System <autodist@mambasoft.it> 1.15.0-1mamba
- automatic version update by autodist

* Wed Apr 07 2021 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Wed Mar 03 2021 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Wed Feb 03 2021 Automatic Build System <autodist@mambasoft.it> 1.12.0-1mamba
- automatic version update by autodist

* Wed Jan 06 2021 Automatic Build System <autodist@mambasoft.it> 1.11.0-1mamba
- automatic version update by autodist

* Fri Dec 04 2020 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Thu Dec 03 2020 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Wed Oct 07 2020 Automatic Build System <autodist@mambasoft.it> 1.9.0-1mamba
- automatic version update by autodist

* Wed Sep 09 2020 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Sun Aug 23 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.0-2mamba
- remove old egg-info dirs causing errors to launch

* Wed Aug 05 2020 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Wed Jul 08 2020 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Wed Jun 03 2020 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Thu May 07 2020 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Fri May 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-3mamba
- added certbot py3 requirements

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-2mamba
- rebuilt with python3

* Wed Mar 04 2020 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Wed Feb 05 2020 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Wed Jan 22 2020 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Dec 08 2019 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Wed Nov 20 2019 Automatic Build System <autodist@mambasoft.it> 0.40.1-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.39.0-2mamba
- require python-distro

* Sat Oct 05 2019 Automatic Build System <autodist@mambasoft.it> 0.39.0-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 0.38.0-1mamba
- automatic version update by autodist

* Thu Aug 22 2019 Automatic Build System <autodist@mambasoft.it> 0.37.2-1mamba
- automatic version update by autodist

* Fri Aug 09 2019 Automatic Build System <autodist@mambasoft.it> 0.37.0-1mamba
- automatic version update by autodist

* Sat Jul 20 2019 Automatic Build System <autodist@mambasoft.it> 0.36.0-1mamba
- automatic version update by autodist

* Wed Jun 12 2019 Automatic Build System <autodist@mambasoft.it> 0.35.1-1mamba
- automatic version update by autodist

* Thu Jun 06 2019 Automatic Build System <autodist@mambasoft.it> 0.35.0-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 0.34.2-1mamba
- automatic version update by autodist

* Tue May 07 2019 Automatic Build System <autodist@mambasoft.it> 0.34.1-1mamba
- automatic version update by autodist

* Fri May 03 2019 Automatic Build System <autodist@mambasoft.it> 0.34.0-1mamba
- automatic version update by autodist

* Sun Apr 07 2019 Automatic Build System <autodist@mambasoft.it> 0.33.1-1mamba
- automatic version update by autodist

* Thu Apr 04 2019 Automatic Build System <autodist@mambasoft.it> 0.33.0-1mamba
- automatic version update by autodist

* Fri Mar 08 2019 Automatic Build System <autodist@mambasoft.it> 0.32.0-1mamba
- automatic version update by autodist

* Sat Feb 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.31.0-2mamba
- require python-augeas

* Fri Feb 08 2019 Automatic Build System <autodist@mambasoft.it> 0.31.0-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 0.30.2-1mamba
- automatic version update by autodist

* Fri Jan 04 2019 Automatic Build System <autodist@mambasoft.it> 0.30.0-1mamba
- automatic version update by autodist

* Thu Dec 06 2018 Automatic Build System <autodist@mambasoft.it> 0.29.1-1mamba
- automatic version update by autodist

* Thu Dec 06 2018 Automatic Build System <autodist@mambasoft.it> 0.29.0-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 0.28.0-1mamba
- automatic version update by autodist

* Sat Oct 06 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.27.1-2mamba
- install apache plugin

* Fri Sep 07 2018 Automatic Build System <autodist@mambasoft.it> 0.27.1-1mamba
- automatic version update by autodist

* Thu Sep 06 2018 Automatic Build System <autodist@mambasoft.it> 0.27.0-1mamba
- automatic version update by autodist

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 0.26.1-1mamba
- automatic version update by autodist

* Sun Jul 01 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.25.1-2mamba
- require python-requests-toolbelt

* Thu Jun 14 2018 Automatic Build System <autodist@mambasoft.it> 0.25.1-1mamba
- automatic version update by autodist

* Thu Jun 07 2018 Automatic Build System <autodist@mambasoft.it> 0.25.0-1mamba
- automatic version update by autodist

* Thu May 03 2018 Automatic Build System <autodist@mambasoft.it> 0.24.0-1mamba
- automatic version update by autodist

* Mon Apr 09 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.23.0-2mamba
- require python-josepy

* Thu Apr 05 2018 Automatic Build System <autodist@mambasoft.it> 0.23.0-1mamba
- automatic version update by autodist

* Tue Mar 20 2018 Automatic Build System <autodist@mambasoft.it> 0.22.2-1mamba
- automatic version update by autodist

* Thu Mar 08 2018 Automatic Build System <autodist@mambasoft.it> 0.22.0-1mamba
- automatic version update by autodist

* Sun Jan 28 2018 Automatic Build System <autodist@mambasoft.it> 0.21.1-1mamba
- automatic version update by autodist

* Thu Jan 18 2018 Automatic Build System <autodist@mambasoft.it> 0.21.0-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 0.20.0-1mamba
- automatic version update by autodist

* Thu Oct 05 2017 Automatic Build System <autodist@mambasoft.it> 0.19.0-1mamba
- automatic version update by autodist

* Thu Sep 21 2017 Automatic Build System <autodist@mambasoft.it> 0.18.2-1mamba
- automatic version update by autodist

* Wed Sep 13 2017 Automatic Build System <autodist@mambasoft.it> 0.18.1-1mamba
- automatic version update by autodist

* Thu Aug 03 2017 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Fri Jul 07 2017 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Fri Jun 09 2017 Automatic Build System <autodist@mambasoft.it> 0.15.0-1mamba
- automatic version update by autodist

* Fri May 26 2017 Automatic Build System <autodist@mambasoft.it> 0.14.2-1mamba
- automatic version update by autodist

* Thu May 18 2017 Automatic Build System <autodist@mambasoft.it> 0.14.1-1mamba
- automatic version update by autodist

* Fri May 05 2017 Automatic Build System <autodist@mambasoft.it> 0.14.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.13.0-2mamba
- require python-argparse

* Fri Apr 07 2017 Automatic Build System <autodist@mambasoft.it> 0.13.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2017 Automatic Build System <autodist@mambasoft.it> 0.12.0-1mamba
- automatic version update by autodist

* Sat Feb 04 2017 Automatic Build System <autodist@mambasoft.it> 0.11.1-1mamba
- automatic version update by autodist

* Sun Jan 29 2017 Automatic Build System <autodist@mambasoft.it> 0.10.2-1mamba
- automatic version update by autodist

* Sun Jan 15 2017 Automatic Build System <autodist@mambasoft.it> 0.10.1-1mamba
- automatic version update by autodist

* Thu Jan 12 2017 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-2mamba
- remove %{_bindir}/letsencrypt symlink

* Mon Oct 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.3-1mamba
- update to 0.9.3

* Mon Aug 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- update to 0.8.1

* Wed Apr 06 2016 Automatic Build System <autodist@mambasoft.it> 0.5.0-1mamba
- automatic version update by autodist

* Fri Mar 04 2016 Automatic Build System <autodist@mambasoft.it> 0.4.2-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Sun Feb 14 2016 Automatic Build System <autodist@mambasoft.it> 0.4.0-1mamba
- automatic version update by autodist

* Thu Jan 28 2016 Automatic Build System <autodist@mambasoft.it> 0.3.0-1mamba
- automatic version update by autodist

* Sat Jan 16 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.0-1mamba
- update to 0.2.0

* Sat Dec 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.1-2mamba
- upstream patch to fix version check for python-acme

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 0.1.1-1mamba
- automatic version update by autodist

* Sun Dec 13 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-4mamba
- require python-setuptools, not python-setuptool

* Tue Dec 08 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-3mamba
- require python-setuptool

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-2mamba
- added some missing python requires

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.0-1mamba
- package created using the webbuild interface
